%define name kebook2
%define	appversion 0.1r
%define	kdeversion 1.90
%define kdeprefix %(echo $KDEDIR)
# You MUST set and export KDEDIR and QTDIR appropriately.

Summary: A browser for electronic dictionaries
Name: %{name}
Version: %{appversion}
Release: 1
Copyright: GPL
Source: http://www.os.rim.or.jp/~s_mitu/library/kebook/%{name}-%{version}.tar.bz2
BuildRoot: /var/tmp/%{name}-buildroot
Group: Applications/Text
Prefix: %{kdeprefix}
#Requires: kdelibs, eb
#BuildPrereq: eb-devel
#NoSource: 0

%description
KEBook is an electronic dictionary browser, simple and effective.

KEBook uses EB library which supports following electronic dictionary
formats: EB, EBG, EBXA, EBXA-C, S-EBXA, EPWING.  Please refer to
http://www.sra.co.jp/people/m-kasahr/eb/ for more information about EB
library.

%prep
%setup -q

%build
env CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=$KDEDIR
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' \
        -e '/\/applnk\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename} 

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Fri Jun 09 2000 Kazuyuki Maejima <kmaejima@oak.ocn.ne.jp>
- adapted for KEBook2 and made to be hopefully generic for variety of Linux distributions.

* Thu Dec 22 1999 Masanori Hanawa <hanawa@kde.gr.jp>
- The 1st RPM release (Kondara style)
